//
//  EDExportImportScheme.h
//  EDExportImportScheme
//
//  Created by Arnaud Thiercelin on 10/26/11.
//  Copyright (c) 2011 Flying Pig. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <EDExportImportScheme/EDExportImportSchemeOwnerProtocol.h>


@interface EDExportImportScheme : NSObject 
{
	NSString									*_name;
	NSString									*_description;
	NSString									*_maker;
	NSString									*_version;
	NSString									*_minEdouardVersion;
	BOOL                                        _enabled;
    
	id <EDExportImportSchemeOwnerProtocol>		_owner;
		
}

@property (retain) NSString										*name;
@property (retain) NSString										*description;
@property (retain) NSString										*maker;
@property (retain) NSString										*version;
@property (retain) NSString										*minEdouardVersion;
@property BOOL                                                  enabled;
@property (assign) id <EDExportImportSchemeOwnerProtocol>		owner;


#pragma mark API calls// this is called right after initiation to signal the bundle to perform
// eventually necessary load work.
- (void)load;

// This is called right before release;
- (void)unload;

@end
