//
//  EDImportScheme.h
//  EDExportImportScheme
//
//  Created by Arnaud Thiercelin on 10/26/11.
//  Copyright (c) 2011 Flying Pig. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <EDExportImportScheme/EDExportImportScheme.h>
#import <EDExportImportScheme/EDImportSchemeKey.h>

@interface EDImportScheme : EDExportImportScheme
{
		NSArray								*_keysList;
}
@property (retain) NSArray					*keysList;

#pragma mark API calls
// Needs to be subclassed to implmenet behaviour
- (void)executeWithData:(NSArray *)data;

// This provides a default behavior no need to subclass if keysList is built correctly.
- (NSArray *)availableKeys;

@end
