//
//  EDStatisticsReportColumnConfiguration.h
//  EDStatisticsReport
//
//  Created by Arnaud Thiercelin on 1/9/13.
//  Copyright (c) 2013 Flying Pig. All rights reserved.
//

#import <Foundation/Foundation.h>

#define EDStatisticsReportColumnConfigurationKeyCodingKey		@"EDStatisticsReportColumnConfigurationKeyCodingKey"
#define EDStatisticsReportColumnConfigurationTitleCodingKey		@"EDStatisticsReportColumnConfigurationTitleCodingKey"
#define EDStatisticsReportColumnConfigurationAlignmentCodingKey	@"EDStatisticsReportColumnConfigurationAlignmentCodingKey"
#define EDStatisticsReportColumnConfigurationFormatterCodingKey	@"EDStatisticsReportColumnConfigurationFormatterCodingKey"


@interface EDStatisticsReportColumnConfiguration : NSObject <NSCoding, NSCopying>

@property (retain) NSString *key;
@property (retain) NSString *title;
@property NSTextAlignment alignment;
@property (retain) id formatter;


- (id)initWithKey:(NSString *)key
withTitle:(NSString *)title
withAlignment:(NSTextAlignment)alignment
	 andFormatter:(id)formatter;

@end
