//
//  FPModelTag.h
//  FPModel
//
//  Created by Flying Pig on 1/14/09.
//  Copyright © 2009 Flying Pig. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <FPTemplates/FPModelTagProtocol.h>
#import <FPTemplates/FPTemplatesProfileGroup.h>

//NSCoding Keys
#define FPTemplatesProfileGroupCodingKey	@"FPTemplatesProfileGroupCodingKey"
#define FPModelTagIdentifierCodingKey											@"FPModelTagIdentifierCodingKey"
#define FPModelTagTitleCodingKey												@"FPModelTagTitleCodingKey"
#define FPModelTagPrintingPaginationEnumCodingKey								@"FPModelTagPrintingPaginationEnumCodingKey"


@interface FPModelTag : NSObject <NSCoding, FPModelTagProtocol>
{
@private
	NSString								*_identifier;
	NSString								*_title;
	FPModelPrintingPaginationEnum			_printingPagination;
}

//Properties
@property (retain) FPTemplatesProfileGroup	*profileGroup;
@property(retain) NSString					*identifier;
@property(retain) NSString					*title;
@property FPModelPrintingPaginationEnum		printingPagination;

@end
