//
//  FPModelTagProtocol.h
//  FPModel
//
//  Created by Flying Pig on 1/14/09.
//  Copyright © 2009 Flying Pig. All rights reserved.
//

#import <Cocoa/Cocoa.h>


//Printing Pagination Mode
typedef enum	FPModelPrintingPaginationEnum
	{
		FPModelPrintingPaginationNormal = 0,
		FPModelPrintingPaginationRepeat = 1,
		FPModelPrintingPaginationLastPage = 2
	}			FPModelPrintingPaginationEnum;


//Each Tag have to implement this protocol
@protocol FPModelTagProtocol

//Getters
@required
- (NSString *)identifier;
- (NSString *)title;
- (FPModelPrintingPaginationEnum)printingPagination;
@optional
//Table
- (NSArray *)tableColumns;


//Setters
@required
- (void)setIdentifier:(NSString *)value;
- (void)setTitle:(NSString *)value;
- (void)setPrintingPagination:(FPModelPrintingPaginationEnum)value;
@optional
//Table
- (void)setTableColumns:(NSArray *)value;


@end
