//
//  FPModelTextField.h
//  FPModel
//
//  Created by Flying Pig on 11/18/08.
//  Copyright © 2008 Flying Pig. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <FPTemplates/FPShapesTypes.h>


//Default Value
#define FPModelTextFieldDefaultEventType										0
#define FPModelTextFieldSmallFontSize											2

//Notifications UserInfos
#define FPModelTextFieldReturnTextMovementUserInfo								@"NSTextMovement"


@interface FPModelTextField : NSTextField {

@private
	//Used to advise the textFieldEditor is being edited
	BOOL			_isBeingEditedBool;
	//Used to take care of it
	BOOL			_isFirstResponderBool;
	NSEvent			*_lastMouseDownEvent;
	
}


//Properties
@property BOOL				isBeingEditedBool;
@property BOOL				isFirstResponderBool;
@property(retain) NSEvent	*lastMouseDownEvent;

@end
