//
//  FPModelsFile.h
//  FPCoreGraphic.framework
//
//  Created by Flying Pig on 12/10/06.
//  Copyright © 2006 Flying Pig. All rights reserved.
//

#import <Cocoa/Cocoa.h>

//NSCoding Identifiers
#define FPModelsFileNameCodingKey												@"FPModelsFileNameCodingKey"
#define FPModelsFileModelIdCodingKey											@"FPModelsFileModelIdCodingKey"
#define FPModelsFileCreatorCodingKey											@"FPModelsFileCreatorCodingKey"
#define FPModelsFileCommentCodingKey											@"FPModelsFileCommentCodingKey"
#define FPModelsFileCreationDateCodingKey										@"FPModelsFileCreationDateCodingKey"
#define FPModelsFileLastModificationDateCodingKey								@"FPModelsFileLastModificationDateCodingKey"



@interface FPModelsFile : NSObject <NSCoding> { 
	
@private
	NSString							*_name;
	NSString 							*_modelId;
	NSString 							*_creator;
	NSDate								*_creationDate;
	NSDate								*_lastModificationDate;
	NSString							*_comment;
}

//Properties
@property(retain) NSString				*name;
@property(retain) NSString 				*modelId;
@property(retain) NSString			 	*creator;
@property(retain) NSDate			 	*creationDate;
@property(retain) NSDate			 	*lastModificationDate;
@property(retain) NSString				*comment;


@end

