//
//  FPTemplatesProfileGroup.h
//  FPTemplates
//
//  Created by Arnaud Thiercelin on 3/20/13.
//
//

#import <Foundation/Foundation.h>

#define FPTemplatesProfilesGroupTitleCodingKey	@"FPTemplatesProfilesGroupTitleCodingKey"
#define FPTemplatesProfilesGroupIdentifierCodingKey	@"FPTemplatesProfilesGroupIdentifierCodingKey"
#define FPTemplatesProfilesGroupSuperGroupCodingKey	@"FPTemplatesProfilesGroupSuperGroupCodingKey"
#define FPTemplatesProfilesGroupSubGroupsCodingKey	@"FPTemplatesProfilesGroupSubGroupsCodingKey"


@interface FPTemplatesProfileGroup : NSObject

@property (retain) NSImage *image;
@property (retain) NSString *title;
@property (retain) id identifier;
@property (retain) FPTemplatesProfileGroup *superGroup;
@property (retain) NSMutableArray *subGroups;

@end
